FROM python:3.8
WORKDIR /app
RUN git clone https://gitlab.com/vapormap/vapormap-app.git vapormap-prod
RUN apt update -y && apt install -y && apt install -y gettext-base
WORKDIR /app/vapormap-prod/app
RUN pip install -r requirements/production.txt
RUN envsubst '${VAPORMAP_USER},${VAPORMAP_GROUP},${VAPORMAP_DIR},${VAPORMAP_PATH},${DJANGO_SETTINGS_MODULE},${VAPOR_DBUSER},${VAPOR_DBPASS},${VAPOR_DBHOST},${VAPOR_DBNAME},${VAPORMAP_API_PORT}' < api-systemd.conf.template > /tmp/api-systemd.conf

EXPOSE 8000

CMD python manage.py migrate ; python manage.py collectstatic --no-input ; gunicorn vapormap.wsgi:application --bind 0.0.0.0:8000


